@import url("https://fonts.googleapis.com/css2?family=Poppins&display=swap");
:root {
  --hue-color: 0;
  --links-underline-color: hsl(var(--hue-color), 90%, 60%);
  --bright-text-color: hsl(var(--hue-color), 100%, 100%);
  --dull-text: hsl(var(--hue-color), 10%, 70%);
  --highlight-text: hsl(var(--hue-color), 90%, 70%);
}
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  /* overflow-x: hidden; */
}

html {
  scroll-behavior: smooth;
}

body {
  font-family: "Poppins", sans-serif;
  /* background: rgb(0,0,0);
background: linear-gradient(63deg, rgba(229,97,97,1) 4%, rgba(0,0,0,1) 61%); */
  background-color: black;
  position: relative;
  overflow-x: hidden;
}
a {
  font-family: "Poppins", sans-serif;
  font-weight: 500;
}
h1 {
  font-family: "Poppins", sans-serif;
  font-weight: 400;
  font-size: 4rem;
  color: var(--bright-text-color);
}
h2 {
  font-size: 3rem;
  font-weight: 500;
  color: var(--bright-text-color);
  margin-bottom: 2vmax;
}
h3 {
  color: var(--bright-text-color);
}
h4 {
  font-family: "Poppins", sans-serif;
  font-weight: 200;
  color: white;
}
p {
  font-family: "Poppins", sans-serif;
  font-weight: 200;
  /* font-size: 2.5rem; */
  color: white;
}

.heading {
  font-size: 40px;
  font-weight: 500;
  color: var(--bright-text-color);
  margin-bottom: 1.8vmax;
  -webkit-box-reflect: below -20px linear-gradient(transparent, rgba(0, 0, 0, 0.2));
}

/***************************************** NAVBAR **************************************************/
.navbar {
  background-color: black;
}
.navbar .navbar-brand {
  font-size: 2vmax;
  color: var(--bright-text-color);
  background-color: black;
}

.navbar ul.navbar-nav li a {
  color: var(--bright-text-color);
  margin: 0.8rem;
  position: relative;
  text-decoration: none;
}
.navbar ul.navbar-nav li a::after {
  content: "";
  width: 0;
  height: 3px;
  background-color: var(--links-underline-color);
  position: absolute;
  left: 0;
  bottom: -6px;
  transition: 0.5s;
}
.navbar ul.navbar-nav li a:hover::after {
  width: 100%;
}

/* for small screen navbar */

.navbar-toggler-icon i {
  align-items: center;
  font-size: 1.5rem;
  color: white;
}

/***************************************** TOP CONTAINER *************************************************/

.top-container {
  max-width: 100%;
  height: auto;
  display: flex;
  justify-content: space-between;
  align-items: center;
  /* background-image: url(Images/test.jpg); */
  background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)),
    url(Images/test.jpg);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center center;
  opacity: 1;
  position: relative;

  /* background-attachment: fixed; */
}

.top-left-container {
  margin: 10vmax auto;
  padding: 25px;
  height: fit-content;
  background-color: rgb(0, 0, 0);
  background-color: rgba(0, 0, 0, 0.7);
  color: white;
  text-align: center;
}

.top-left-container h1 span {
  color: var(--links-underline-color);
}

.top-left-container p {
  font-size: 1.2vmax;
  font-weight: bold;
  color: var(--dull-text);
}

.top-left-container div {
  padding: 0.5vmax 0;
}

.contact-btn {
  padding: 5px 10px;
  margin: 5px 10px;
}

.contact-btn:hover {
  background-color: #ff004f;
}

/****************************************** ABOUT ME CONTAINER **************************************************/

.about-me .row-container {
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
  align-items: center;
  max-width: 100%;
  height: auto;
  padding: 50px 10px;
  margin-top: 50px;
}

.aboutme-left-container {
  max-width: 80%;
  height: 100%;
  position: relative;
  float: left;
  margin-right: 100px;
}
#aboutLightImage {
  max-width: 100%;
  height: 100%;
  position: center;
  size: cover;
}
#aboutMeImage {
  position: absolute;
  bottom: 0;
  right: 0;
  max-width: 50%;
  height: 50%;
}
/* Right Container */
.aboutme-right-container {
  max-width: 100%;
  height: 100%;
  margin-left: 10px;
}
.aboutme-right-container .small-text {
  color: var(--highlight-text);
}
.aboutme-right-container p {
  color: var(--dull-text);
}
/* links */
.about-links ul {
  padding: 0%;
}
.about-links ul li {
  display: inline-block;
  padding: 0;
  margin-right: 20px;
}
.about-links ul li a {
  color: var(--dull-text);
  margin-right: 3rem;
  position: relative;
  text-decoration: none;
}

.about-links ul li a::after {
  content: "";
  width: 0;
  height: 3px;
  background-color: var(--links-underline-color);
  position: absolute;
  left: 0;
  bottom: -6px;
  transition: 0.5s;
}
.about-links ul li a:hover::after {
  width: 100%;
}

.about-links ul li a.active-link::after {
  width: 50%;
}

/* info */
.about-info {
  margin-top: 50px;
  display: none;
}
.active-tab {
  display: block;
}

.showblock {
  display: block;
}
.about-info .info {
  padding-bottom: 10px;
  margin-bottom: 20px;
}
.about-info .info p {
  margin-bottom: 0;
  font-size: 0.9rem;
  color: var(--highlight-text);
}
.about-info .info h5 {
  margin-bottom: 0;
  font-size: 1rem;
  color: var(--dull-text);
}

/****************************************** SKILLS CONTAINER **************************************************/
.my-skills-section {
  padding: 50px;
  margin: 30px;
}
.skills-div {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: end;
}

.skills-tab-container {
  display: flex;
  justify-content: space-around;
  margin-top: 2vmax;
  padding: 0;
  margin-left: 0;
}
.skills-tab-container img {
  border-radius: 50px;
  padding-left: 0;
}

.skills {
  width: 100%;
  border-radius: 10px;
  padding: 30px;
  background-color: var(--dull-text);
  margin: 10px;
}

.skills a {
  color: var(--bright-text-color);
}

.skills-frontend,
.skills-backend,
.skills-appdev {
  transition: 0.3s ease;
}
.skills-frontend:hover {
  box-shadow: 0 0 3px black;
  transform: translate(0, -20px);
  background-color: #b8b8b8;
}
.skills-backend:hover {
  box-shadow: 0 0 3px black;
  transform: translate(0, -20px);
  background-color: #e56161;
}
.skills-appdev:hover {
  box-shadow: 0 0 3px black;
  transform: translate(0, -20px);
  background-color: #a30000;
}

/****************************************** TECHNOLOGIES CONTAINER **************************************************/

.technologies {
  margin: 50px;
  padding: 50px;
  max-width: 100%;
}

.techno-container {
  margin: 0;
}

.technologies img {
  width: 6vmax;
  height: 6vmax;
  border-radius: 50%;
  margin: 2vmax;
  object-fit: contain;
  transition: transform 0.4s ease-in;
}

.technologies img:hover {
  filter: grayscale(1);
  transform: scale(1.1);
}

.techno-container div {
  display: inline-block;
  text-align: center;
}

.technologies h3 {
  margin: 3rem 0 2rem 0;
}

/****************************************** WORK CONTAINER **************************************************/
.my-work-section {
  padding: 50px;
  margin: 50px;
}

.small-text {
  color: var(--highlight-text);
  margin: 0;
  padding: 0;
}
.work-div {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: baseline;
}

/* .work-icon {
  width: 3rem;
  height: 3rem;
  margin: 0 10px;
} */

.work-list-container {
  display: flex;
  justify-content: space-around;
  /* margin: 30px 0; */
  padding: 0;
  flex-wrap: wrap;
}

.work {
  width: 40vw;
  border-radius: 10px;
  transition: 0.3s ease;
  overflow: hidden;
  position: relative;
  background-color: #e56161;
  margin: 2vmax 0;
}

.work img {
  width: 100%;
  height: 100%;
  height: 350px;
  transition: 0.3s ease;
}

.work:hover img {
  transform: scale(1.1);
}
.work:hover .overlay {
  height: 100%;
}

.overlay {
  position: absolute;
  bottom: 0;
  left: 0;
  background: linear-gradient(rgba(0, 0, 0, 0.6), #ff004f);
  border-radius: 10px;
  overflow: hidden;
  width: 100%;
  height: 0;
  transition: height 0.5s ease;
  color: var(--bright-text-color);
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  justify-content: center;
  font-size: 14px;
  padding: 0 40px;
}

.overlay h3 {
  font-weight: 500;
  margin: 20px;
}

.overlay a {
  margin-top: 20px;
  color: #ff004f;
  text-decoration: none;
  font-size: 20px;
  line-height: 60px;
  background: #fff;
  width: 60px;
  height: 60px;
  border-radius: 50%;
  text-align: center;
}

.overlay a i {
  margin: auto;
  padding: 15px 0;
}
/* CSS */
.btn {
  display: block;
  margin: 30px auto;
  width: fit-content;
  border: 1px solid #ff004f;
  padding: 14px 50px;
  color: var(--bright-text-color);
  text-decoration: none;
}

.btn:hover {
  background-color: #ff004f;
}

.prev,
.next {
  cursor: pointer;
  position: absolute;
  size: 60px;
  top: 45%;
  width: auto;
  /* margin-top: -2px; */
  padding: 16px;
  color: white;
  font-weight: bold;
  font-size: 22px;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
  user-select: none;
}
.prev {
  left: 0;
}
.next {
  right: 0;
  border-radius: 3px 0 0 3px;
}
.prev:hover,
.next:hover {
  color: #ff004f;
}

.dot {
  cursor: pointer;
  height: 15px;
  width: 15px;
  margin: 0 2px;
  background-color: #bbb;
  border-radius: 50%;
  display: inline-block;
  transition: background-color 0.6s ease;
}

.active,
.dot:hover {
  background-color: #717171;
}

/****************************************** CONTACT CONTAINER **************************************************/

.contact-container {
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
}

.contact-info {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  margin: 100px 40px;
  flex-basis: 35%;
}
/* .contact-info h2 {
  font-size: 50px;
} */

.social-icons {
  margin-top: 10px;
}

.fa-solid {
  color: #ff004f;
  margin-right: 20px;
}

.contact-message {
  margin: 60px 0;
  flex-basis: 55%;
}

.contact-info .download-resume-btn {
  width: fit-content;
  border: 1px solid #ff004f;
  padding: 14px 50px;
  color: var(--bright-text-color);
  text-decoration: none;
}

.contact-btn {
  color: #000;
  width: 38px;
  height: 38px;
  background-color: #fff;
  display: inline-block;
  vertical-align: top;
  text-align: center;
  line-height: 38px;
  border-radius: 50%;
  transition: 0.3s ease;
  padding: 8px;
}

form input,
form textarea {
  display: block;
  width: 100%;
  margin: 20px 0;
  padding: 10px;
  background-color: #262626;
  border-radius: 6px;
  outline: none;
  color: #fff;
  font-size: 18px;
}
.contact-message button {
  display: inline-block;
  width: auto;
  margin-top: 30px;
  margin-right: 50px;
  width: fit-content;
  border: 1px solid #ff004f;
  padding: 14px 50px;
  color: var(--bright-text-color);
  text-decoration: none;
  background-color: black;
  border-radius: 5px;
}
.contact-message button:hover,
.contact-info a:hover {
  background-color: #ff004f;
}
.footer-text {
  margin: 20px auto;
  text-align: center;
}

#msg {
  color: #61b752;
}
/********************************* for small screens *****************************************/
@media only screen and (max-width: 600px) {
  .heading {
    font-size: 35px;
    font-weight: 300;
    margin-bottom: 2.5vmax;
  }

  .top-left-container p {
    font-size: 1.8vmax;
  }

  .top-left-container h1 {
    font-size: 2.2rem;
  }

  .top-left-container .waviy {
    display: block;
    margin-top: 5px;
    font-size: 2rem;
  }

  .navbar .navbar-brand {
    font-size: 3vmax;
  }

  #navbarNav > ul {
    align-items: flex-end;
    text-align: right;
    margin: 1rem;
  }

  /* *********************TOP-CONTAINER SECTION******************* */

  .waviy {
    display: inline-block;
  }

  /* *********************ABOUT SECTION******************* */

  .aboutme-heading,
  .skills-heading,
  .work-heading {
    font-size: 1.8rem;
  }

  .about-me .row-container {
    flex-flow: column nowrap;
    padding: 40px 10px;
    margin-top: 30px;
  }
  .about-links ul li {
    margin: 0;
  }
  .about-links ul li a {
    margin-right: 20px;
  }

  /* *********************Skills Section******************* */

  body {
    overflow-x: hidden;
  }
  .my-skills-section {
    padding: 0;
    margin: 0 30px;
  }
  .skills-div {
    flex-flow: row nowrap;
  }

  .skills-tab-container {
    flex-flow: column nowrap;
  }
  .skills {
    margin: 20px 0;
  }

  /* *********************Technologies Section******************* */

  .technologies {
    margin: 0;
  }

  /* *********************Work Section******************* */

  .my-work-section {
    margin: 0;
  }

  .work {
    width: 100vw;
    border-radius: 10px;
    transition: 0.3s ease;
    overflow: hidden;
    position: relative;
    background-color: #e56161;
    margin: 2vmax 0;
  }

  .work:hover .overlay p {
    font-size: 12px;
  }

  .overlay a {
    margin-bottom: 10px;
  }

  /* .my-work-section {
    padding: 0;
    margin: 80px 30px;
  }

  .work-div {
    flex-flow: row nowrap;
    margin: 0;
  }

  .work-list-container {
    flex-flow: column nowrap;
  }
  .work {
    margin: 20px 70px;
  } */

  /* *********************Contact Section******************* */
  .contact-container {
    flex-flow: column nowrap;
  }

  input,
  textarea {
    margin: 5% 5%;
  }

  .contact-message button {
    margin: 5% 5%;
  }
  .contact-message form {
    margin: 5px 5px;
  }
}

.reveal {
  position: relative;
  transform: translateY(150px);
  opacity: 0;
  transition: 1s all ease;
}

/* *********************Animations******************* */

.reveal.active {
  transform: translateY(0);
  opacity: 1;
  background-color: transparent;
}

.active.fade-bottom {
  animation: fade-bottom 1s ease-in;
}

@keyframes fade-bottom {
  0% {
    transform: translateY(50px);
    opacity: 0;
  }
  100% {
    transform: translateY(0);
    opacity: 1;
  }
}

.waviy {
  position: relative;
  -webkit-box-reflect: below -20px linear-gradient(transparent, rgba(0, 0, 0, 0.2));
  font-size: 3rem;
}
.waviy span {
  display: inline-block;
  color: #fff;
  animation: waviy 2s infinite;
  animation-delay: calc(0.1s * var(--i));
}
@keyframes waviy {
  0%,
  40%,
  100% {
    transform: translateY(0);
  }
  20% {
    transform: translateY(-20px);
  }
}
